edu.isi.pegasus.planner.client

## Class SubmitDirectoryFilenameFilter

- java.lang.Object
- - edu.isi.pegasus.planner.client.SubmitDirectoryFilenameFilter

All Implemented Interfaces:
  java.io.FilenameFilter

    class SubmitDirectoryFilenameFilter
    extends java.lang.Object
    implements java.io.FilenameFilter

A filename filter for identifying the submit directory

Author:
  Karan Vahi vahi@isi.edu

### Field Summary

Fields
`private java.util.regex.Pattern` `mPattern` Stores compiled patterns at first use, quasi-Singleton.
`private java.lang.String` `mRegexExpression` Store the regular expressions necessary to parse kickstart output files

### Constructor Summary

Constructors
Constructor and Description
`SubmitDirectoryFilenameFilter(java.lang.String prefix)` Overloaded constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accept(java.io.File dir, java.lang.String name)` Tests if a specified file should be included in a file list.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mRegexExpression

    private java.lang.String mRegexExpression

Store the regular expressions necessary to parse kickstart output files

#### mPattern

    private java.util.regex.Pattern mPattern

Stores compiled patterns at first use, quasi-Singleton.

### Constructor Detail

#### SubmitDirectoryFilenameFilter

    public SubmitDirectoryFilenameFilter(java.lang.String prefix)

Overloaded constructor.

Parameters:
  `prefix` - prefix for the submit directory

### Method Detail

#### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

Tests if a specified file should be included in a file list.

Specified by:
  `accept` in interface `java.io.FilenameFilter`
Parameters:
  `dir` - the directory in which the file was found.
  `name` - - the name of the file.
Returns:
  true if and only if the name should be included in the file list false otherwise.